%define	rel	2.6.34
Summary: 	The Advanced Linux Sound Architecture (ALSA) library
Name: 		alsa-lib
Version: 	1.0.23
Release: 	1
License: 	GPL
Group: 		Libraries
URL:            http://www.alsa-project.org/
Source: 	ftp://ftp.alsa-project.org/pub/lib/%{name}-%{version}%{?prever}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	linux-headers >= %{rel}

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

This package includes the ALSA runtime libraries.


%package 	devel
Summary: 	Static libraries and header files from the ALSA library
Group: 		Development

%description 	devel
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

This package includes the ALSA development libraries.


%prep
%setup -q

%build
%configure \
    --enable-static=yes \
    --program-prefix=%{?_program_prefix}
#make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_bindir}
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_datadir}/alsa

%files devel
%defattr(-, root, root, 0755)
%{_includedir}
%{_libdir}/*.a
%{_libdir}/pkgconfig
%{_datadir}/aclocal
